* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
}
html,
body {
  height: 100%;
  overflow: hidden;
}
@font-face {
  font-family: "YouSheBiaoTiHei";
  src: url("./fonts/YouSheBiaoTiHei.ttf") format("truetype");
}
a {
  text-decoration: none;
}
.container {
  width: 100%;
  height: 100vh;
  overflow: hidden;
}
.page2,
.page3,
.page1 {
  background: url(../images/mp4-01132.gif) center center/100% 100% no-repeat,
    #fff;
}
.page1 {
  width: 100%;
  height: 100%;
  display: flex;
  gap: 0.97rem;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.page2 {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.page3 {
  width: 100%;
  height: 100%;
  display: flex;
  gap: 0.8rem;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.page1 .tit {
  width: 12.77rem;
  height: 3.36rem;
  margin: 0 auto;
}
.page1 .tit img {
  width: 100%;
  height: 100%;
}
.btns {
  display: flex;
  align-items: center;
  justify-content: center;
}
.btn {
  width: 3.7rem;
  height: 1.27rem;
  font-family: YouSheBiaoTiHei;
  font-weight: 400;
  font-size: 0.42rem;
  line-height: 0.8rem;
  letter-spacing: 0.02rem;
  text-align: center;
  color: #ffffff;
  background: url("../images/btn.png") no-repeat;
  background-size: 100% 100%;
  cursor: pointer;
}

.logo-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 0 0.37rem;
  margin: 0rem auto 0.3rem auto;
  max-width: 17.8rem;
  height: 8.8rem;
  overflow: hidden;
}

.logo-item {
  min-height: 0.6rem;
  height: auto;
  max-height: 1.27rem;
  text-align: center;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  cursor: pointer;
}
.logo-item img {
  width: 100%;
  height: 100%;
  object-fit: contain; /* 关键：保持比例，完整显示 */
}
/* .logo-item:hover {
  box-shadow: 0px 0px 20px 0px #ffffff80;
} */
.back-home-btn {
  text-align: center;
  margin-top: 0.3rem;
}

.back-home-btn a {
  display: inline-block;
  padding: 0.15rem 0.4rem;
  background: linear-gradient(to right, #007bff, #0056b3);
  color: white;
  text-decoration: none;
  font-size: 0.24rem;
  border-radius: 0.3rem;
  box-shadow: 0 0.04rem 0.1rem rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease;
}

.back-home-btn a:hover {
  transform: scale(1.05);
}

/* 视频容器 */
.video-container {
  position: relative;
  width: 12rem;
  height: 6.75rem;
  border-radius: 0.08rem;
  box-shadow: 0 0.1rem 0.3rem rgba(0, 0, 0, 0.5);
  overflow: hidden;
  margin-bottom: 0.4rem;
}

.video-container video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* 底部按钮组 */
.bottom-btns {
  display: flex;
  gap: 0.3rem;
  margin-top: 0.2rem;
}
